From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Mon, 17 Feb 2025 20:26:48 +0100
Subject: Modernize PHPUnit syntax

---
 src/MessageTrait.php                 | 3 +++
 src/RequestIntegrationTest.php       | 2 ++
 src/ResponseIntegrationTest.php      | 2 ++
 src/ServerRequestIntegrationTest.php | 3 +++
 src/StreamIntegrationTest.php        | 5 +++++
 src/UriIntegrationTest.php           | 7 +++++++
 6 files changed, 22 insertions(+)

diff --git a/src/MessageTrait.php b/src/MessageTrait.php
index 506d5f1..ef84eb8 100644
--- a/src/MessageTrait.php
+++ b/src/MessageTrait.php
@@ -4,6 +4,7 @@ namespace Http\Psr7Test;
 
 use InvalidArgumentException;
 use PHPUnit\Framework\AssertionFailedError;
+use PHPUnit\Framework\Attributes\DataProvider;
 use Psr\Http\Message\MessageInterface;
 use Throwable;
 use TypeError;
@@ -135,6 +136,7 @@ trait MessageTrait
     /**
      * @dataProvider getInvalidHeaderArguments
      */
+    #[DataProvider('getInvalidHeaderArguments')]
     public function testWithHeaderInvalidArguments($name, $value)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -188,6 +190,7 @@ trait MessageTrait
     /**
      * @dataProvider getInvalidHeaderArguments
      */
+    #[DataProvider('getInvalidHeaderArguments')]
     public function testWithAddedHeaderInvalidArguments($name, $value)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
diff --git a/src/RequestIntegrationTest.php b/src/RequestIntegrationTest.php
index f847093..921e768 100644
--- a/src/RequestIntegrationTest.php
+++ b/src/RequestIntegrationTest.php
@@ -4,6 +4,7 @@ namespace Http\Psr7Test;
 
 use InvalidArgumentException;
 use PHPUnit\Framework\AssertionFailedError;
+use PHPUnit\Framework\Attributes\DataProvider;
 use Psr\Http\Message\RequestInterface;
 use Psr\Http\Message\UriInterface;
 use Throwable;
@@ -94,6 +95,7 @@ abstract class RequestIntegrationTest extends BaseTest
     /**
      * @dataProvider getInvalidMethods
      */
+    #[DataProvider('getInvalidMethods')]
     public function testMethodWithInvalidArguments($method)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
diff --git a/src/ResponseIntegrationTest.php b/src/ResponseIntegrationTest.php
index 415ccc4..bb9029c 100644
--- a/src/ResponseIntegrationTest.php
+++ b/src/ResponseIntegrationTest.php
@@ -4,6 +4,7 @@ namespace Http\Psr7Test;
 
 use InvalidArgumentException;
 use PHPUnit\Framework\AssertionFailedError;
+use PHPUnit\Framework\Attributes\DataProvider;
 use Psr\Http\Message\ResponseInterface;
 use Throwable;
 use TypeError;
@@ -56,6 +57,7 @@ abstract class ResponseIntegrationTest extends BaseTest
     /**
      * @dataProvider getInvalidStatusCodeArguments
      */
+    #[DataProvider('getInvalidStatusCodeArguments')]
     public function testStatusCodeInvalidArgument($statusCode)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
diff --git a/src/ServerRequestIntegrationTest.php b/src/ServerRequestIntegrationTest.php
index d06a8f1..1d29081 100644
--- a/src/ServerRequestIntegrationTest.php
+++ b/src/ServerRequestIntegrationTest.php
@@ -2,6 +2,7 @@
 
 namespace Http\Psr7Test;
 
+use PHPUnit\Framework\Attributes\DataProvider;
 use Psr\Http\Message\ServerRequestInterface;
 
 /**
@@ -88,6 +89,7 @@ abstract class ServerRequestIntegrationTest extends RequestIntegrationTest
     /**
      * @dataProvider validParsedBodyParams
      */
+    #[DataProvider('validParsedBodyParams')]
     public function testGetParsedBody($value)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -111,6 +113,7 @@ abstract class ServerRequestIntegrationTest extends RequestIntegrationTest
     /**
      * @dataProvider invalidParsedBodyParams
      */
+    #[DataProvider('invalidParsedBodyParams')]
     public function testGetParsedBodyInvalid($value)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
diff --git a/src/StreamIntegrationTest.php b/src/StreamIntegrationTest.php
index a677142..982dd2b 100644
--- a/src/StreamIntegrationTest.php
+++ b/src/StreamIntegrationTest.php
@@ -2,6 +2,7 @@
 
 namespace Http\Psr7Test;
 
+use PHPUnit\Framework\Attributes\Group;
 use Psr\Http\Message\StreamInterface;
 
 /**
@@ -142,6 +143,7 @@ abstract class StreamIntegrationTest extends BaseTest
     /**
      * @group internet
      */
+    #[Group('internet')]
     public function testIsNotSeekable()
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -169,6 +171,7 @@ abstract class StreamIntegrationTest extends BaseTest
     /**
      * @group internet
      */
+    #[Group('internet')]
     public function testIsNotWritable()
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -196,6 +199,7 @@ abstract class StreamIntegrationTest extends BaseTest
     /**
      * @group internet
      */
+    #[Group('internet')]
     public function testIsNotReadable()
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -239,6 +243,7 @@ abstract class StreamIntegrationTest extends BaseTest
     /**
      * @group internet
      */
+    #[Group('internet')]
     public function testRewindNotSeekable()
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
diff --git a/src/UriIntegrationTest.php b/src/UriIntegrationTest.php
index 7c76378..0522f33 100644
--- a/src/UriIntegrationTest.php
+++ b/src/UriIntegrationTest.php
@@ -4,6 +4,8 @@ namespace Http\Psr7Test;
 
 use InvalidArgumentException;
 use PHPUnit\Framework\AssertionFailedError;
+use PHPUnit\Framework\Attributes\DataProvider;
+use PHPUnit\Framework\Attributes\Depends;
 use Psr\Http\Message\UriInterface;
 use Throwable;
 use TypeError;
@@ -45,6 +47,7 @@ abstract class UriIntegrationTest extends BaseTest
     /**
      * @dataProvider getInvalidSchemaArguments
      */
+    #[DataProvider('getInvalidSchemaArguments')]
     public function testWithSchemeInvalidArguments($schema)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -155,6 +158,7 @@ abstract class UriIntegrationTest extends BaseTest
     /**
      * @dataProvider getPaths
      */
+    #[DataProvider('getPaths')]
     public function testPath(UriInterface $uri, string $expected)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -181,6 +185,7 @@ abstract class UriIntegrationTest extends BaseTest
     /**
      * @dataProvider getQueries
      */
+    #[DataProvider('getQueries')]
     public function testQuery(UriInterface $uri, string $expected)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -206,6 +211,7 @@ abstract class UriIntegrationTest extends BaseTest
     /**
      * @dataProvider getFragments
      */
+    #[DataProvider('getFragments')]
     public function testFragment(UriInterface $uri, string $expected)
     {
         if (isset($this->skippedTests[__FUNCTION__])) {
@@ -304,6 +310,7 @@ abstract class UriIntegrationTest extends BaseTest
      *
      * @psalm-param array{expected: non-empty-string, uri: UriInterface} $test
      */
+    #[Depends('testGetPathNormalizesMultipleLeadingSlashesToSingleSlashToPreventXSS')]
     public function testStringRepresentationWithMultipleSlashes(array $test)
     {
         $this->assertSame($test['expected'], (string) $test['uri']);
